Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #761 (closed defect: wontfix)

Opened 10 years ago

Last modified 8 years ago

opEquals returns an int instead of a bool

Reported by: sean Assigned to: kris
Priority: major Milestone: 0.99.9
Component: Core Functionality Version: 0.99.3 Triller
Keywords: Cc:

Description

This has been an issue for a long time and must be addressed. It is silly to have to cast the result of a equality comparison to a bool when the result should be boolean already.

Change History

11/19/07 21:31:49 changed by sean

  • status changed from new to closed.
  • resolution set to fixed.

(In [2893]) Changed opEqusls to return a bool instead of an int.

!!! THIS CHANGE MAKE BREAK OVERRIDDEN OPERATORS IN USER CODE !!!

closes #761

11/19/07 23:28:36 changed by kris

YAY!!

11/20/07 02:09:56 changed by kris

Hrm

Sean, this doesn't compile, and when I make the necessary edit, it doesn't link :(

11/20/07 03:13:10 changed by sean

(In [2897]) Reverting previous change to opEquals. refs #761

11/21/07 09:35:47 changed by larsivi

  • status changed from closed to reopened.
  • resolution deleted.

What didn't link?

11/21/07 09:55:26 changed by kris

there was a missing symbol, referencing the opEqual within Object ... didn't decode the typeflags but assumed it was an instance which returned an int. Had the impression that the compiler was generating additional references within the object file

12/21/07 14:10:54 changed by larsivi

  • milestone changed from 0.99.4 to 0.99.5.

03/04/08 09:18:25 changed by Jim Panic

  • milestone changed from 0.99.5 to 0.99.6.

04/12/08 20:23:53 changed by larsivi

  • milestone changed from 0.99.6 to External Bugs.

11/09/09 01:16:35 changed by kris

  • owner changed from sean to fawzi.
  • status changed from reopened to new.

11/29/09 12:25:11 changed by fawzi

  • owner changed from fawzi to kris.

01/13/10 03:15:01 changed by kris

  • status changed from new to closed.
  • resolution set to wontfix.

Can't do this without the relevant compiler change, so there's not a lot we can do

01/13/10 03:19:23 changed by kris

  • milestone changed from External Bugs to 0.99.9.